/*
 * Created on Feb 8, 2004
*/
package net.sf.jolene.dom;

import net.sf.jolene.constants.Tags;


/**
 * An image in a html document.
 *
 * @author Dan Howard
 */
public final class Image extends HTMLElement {

    /**
     * Default constructor.
     */
    public Image() {
        tag = Tags.img;
    }


    /**
     * Returns a clone of the image object.
     *
     * @return Image object.
     */
    @Override
    public Image clone() {
        return (Image) super.clone();
    }
}
