/*
 * Created on Dec 23, 2003
*/
package net.sf.jolene.dom;


/**
 * Exception thrown by the parser if it finds some unparsable html.
 *
 * @author Dan Howard
 */
public final class MalformedHTMLException extends RuntimeException {

    /**
     *
     */
    public MalformedHTMLException() {
    }

    /**
     * Constructs the exception with the specified message string.
     *
     * @param message - message string
     */
    public MalformedHTMLException(String message) {
        super(message);
    }

    /**
     * Constructs the exception with the specified cause.
     *
     * @param cause - cause of the exception
     */
    public MalformedHTMLException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs the exception with the specified message string and cause.
     *
     * @param message - message string
     * @param cause   - cause of the exception
     */
    public MalformedHTMLException(String message, Throwable cause) {
        super(message, cause);
    }

}
