/**
 * Created by IntelliJ IDEA.
 * User: Dan Howard
 * Date: Aug 27, 2006
 * Time: 1:55:23 PM
 */
package net.sf.jolene.factories;

import junit.framework.TestCase;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

public class DomletFactoryTest extends TestCase {

    private static final Logger log = LogManager.getLogger(DomletFactoryTest.class);

    @Override
    protected void setUp() throws Exception {
        super.setUp();
    }

    @Override
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    public void testGetNewDocumentRemoveContextPath() {

        String uri = "/kbsample/jolene/test.html";

        log.info("before: " + uri);
        int n;
        n = uri.indexOf('/', 1);
        if (n > -1) {
            uri = uri.substring(n);
        }

        log.info("after: " + uri);
        assertEquals("context path s/b removed", uri, "/jolene/test.html");
    }
}
