package net.sf.jolene.dom;

/**
 * List of standard attributes which support attribute minimization (can be alone without an equal sign and value)
 * Jolene supports parsing and when rendering we use then xhtml format which is compatible with html 4.
 *
 * @author Dan Howard
 * @since Jul 19, 2008 4:07:56 PM
 */
enum BooleanAttributes {

    compact, nowrap, ismap, declare, noshade, checked, disabled, readonly, multiple, selected, noresize, defer;

    // The enum valueOf throws an IllegalArgumentException instead of
    // simply returning null so we just wrap it up here.
    static BooleanAttributes fromString(String attribute) {
        BooleanAttributes ret = null;
        try {
            ret = valueOf(attribute);
        } catch (IllegalArgumentException e) {
        }
        return ret;
    }
}

