package domlet.kbsample.web.forms;

import domlet.kbsample.web.viewValues.CategoryView;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import javax.servlet.ServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * Created by IntelliJ IDEA.
 * User: DanH
 * Date: Feb 18, 2006
 * Time: 7:43:05 AM
 */

public class CategoryForm extends ActionForm {

    private int id;
    private String category;

    private Map<String, String> categories;

    private List<CategoryView> list;


    public CategoryForm() {
        categories = new HashMap<String, String>();
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getIndexedCategory(String id) {
        return categories.get(id);
    }

    public void setIndexedCategory(String id, String value) {
        categories.put(id, value);
    }


    public Map<String, String> getCategories() {
        return categories;
    }

    public List<CategoryView> getList() {
        return list;
    }

    public void setList(List<CategoryView> list) {
        this.list = list;
    }

    public void reset(ActionMapping mapping, ServletRequest request) {
        super.reset(mapping, request);
        categories = new HashMap<String, String>();
    }
}

