package net.sf.jolene;

import junit.framework.Test;
import junit.framework.TestSuite;
import net.sf.jolene.dom.AllDOMTests;
import net.sf.jolene.factories.AllFactoryTests;
import net.sf.jolene.html.AllHTMLTests;
import net.sf.jolene.constants.PrefsTest;
import net.sf.jolene.constants.AllConstantsTests;

/**
 * Created by IntelliJ IDEA.
 * User: DanH
 * Date: Aug 1, 2005
 * Time: 5:44:05 PM
 */
public class AllTests {

    public static Test suite() {
        TestSuite theTestSuite = new TestSuite();

        theTestSuite.addTest(AllDOMTests.suite());
        theTestSuite.addTest(AllHTMLTests.suite());
        theTestSuite.addTest(AllFactoryTests.suite());
        theTestSuite.addTest(AllConstantsTests.suite());

        return theTestSuite;
    }
}
