package net.sf.jolene.dom;

import net.sf.jolene.constants.Prefs;
import junit.framework.TestCase;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

import java.io.IOException;
import java.net.URL;

/**
 * $RCSfile: $
 * $Revision: $
 * $Date:  $
 * User: Dan
 * Date: May 26, 2008
 * Time: 6:36:41 PM
 */
public class LocaleTest extends TestCase {

    private final static Logger log = LogManager.getLogger(LocaleTest.class);

    public void testGenerateLocaleStrings() {
        Document document = null;
        URL url = getClass().getResource("/resources/TestTable.html");
        try {
/*
            FileOutputStream out = null;
            out = new FileOutputStream("jolene.properties");
            Properties properties = new Properties();
            properties.put(Prefs.GenerateLocaleStrings.toString(), "true");
            properties.store(out, "");
            out.close();

            PrefsReader.init();
*/

            Prefs.GenerateLocaleStrings.setValue(true);
            document = new Document(url.getFile());
            assertNotNull("getElementByID grid1 not null", document.elements("grid1"));
            assertNull("getElementByID grid2 is null", document.elements("grid2"));

            Grid grid = ((Grid) document.elements("grid1"));
            grid.rows.get(0).cells.get(0).setValue("COW");
            grid.rows.get(3).cells.get(2).setValue("COW2");
            grid.rows.get(3).cells.get(2).setAttribute("bgColor", "#00FF00");
            document.stream("c:\\temp\\test.html");

        } catch (IOException e) {
            log.error(e.getMessage(), e);
            fail(e.getMessage());
        }

    }
}
